diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4487fa7..745477d 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -128951,8 +128951,7 @@ PureAlgebraicIntegration(R, F, L): Exports == Implementation where
     RF2UPUP(f, modulus) ==
       bc := extendedEuclidean(map((z1:F):RF+->z1::UP::RF, denom f), modulus,
                                       1)::Record(coef1:UPUP, coef2:UPUP)
-      -- TPD changing this to map((x1:F)::RF+->f1::UP::RF breaks tests
-      (map(#1::UP::RF, numer f) * bc.coef1) rem modulus
+      (map((x1:F):RF+->x1::UP::RF, numer f) * bc.coef1) rem modulus
 
 -- returns "failed", or (xx, c) such that f(x, y)dx = f(xx, y) c dy
 -- if p(x, y) = 0 is linear in x
diff --git a/changelog b/changelog
index c090654..eded704 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.07.tpd.patch
+20090620 tpd books/bookvol10.4 INTPAF +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.06.tpd.patch
 20090620 tpd src/Makefile build books in parallel with src
 20090620 tpd Makefile build books in parallel with src
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3411322..a124c15 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1611,5 +1611,7 @@ bookvol10.4 RECOP +-> conversion<br/>
 bookvol10.4 ODERED +-> conversion<br/>
 <a href="patches/20090620.06.tpd.patch">20090620.06.tpd.patch</a>
 Makefile build books in parallel with src<br/>
+<a href="patches/20090620.07.tpd.patch">20090620.07.tpd.patch</a>
+bookvol10.4 INTPAF +-> conversion<br/>
  </body>
 </html>
